<ng-container *ngIf="phases?.length > 0; else noLevels">
    <div class="header">
      <!-- PHASE STEPPER -->
      <div class="training-run-stepper">
        <h3 *ngIf="!isStepperDisplayed" class="message">
          *Stepper is shown only in preview mode to allow navigation between levels. It won't be displayed in training run as requested.
        </h3>
        <h3 *ngIf="isStepperDisplayed" class="message">
          *Use stepper to navigate between levels.
        </h3>
  
        <sentinel-stepper
          [draggable]="false"
          [selectable]="true"
          (indexSelected)="activeStepChanged($event)"
          [stepperItems]="stepper"
          [activeIndex]="stepper.activePhaseIndex"
        >
        </sentinel-stepper>
      </div>
    </div>
    <!-- CONTENT OF ACTIVE LEVEL -->
    <kypo-abstract-phase [phase]="activePhase"> </kypo-abstract-phase>
  </ng-container>
  
  <ng-template #noLevels>
    <h3 class="message">There are no phases in this training definition</h3>
  </ng-template>
  